table {
  width: 100%;
  table-layout: fixed;
}

table.mat-table {
  display: table;
}

th, td {
  overflow: hidden;
  width: 200px;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.horizontal-spacer {
  flex: 1 1 auto;
}

.button-row {
  display: table-cell;
  width: 490px;
}

.button-row .mat-button-base {
  margin: 8px 8px 8px 0;
}

.flex-container {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.button-container {
  display: flex;
  justify-content: center;
  width: 120px;
}

.align-right {
  display: flex;
  justify-content: flex-end;
}

.make-red {
  background-color: rgb(248, 206, 204);
}
  